# type: test
# title: config edge cases
# description: some less stable options
# config:
#   { name: nested, value: "{var}", description: "should be able to understand {enclosed} braces" }
# version: 0.1
# 
# Do all the settings!

import pytest
import pluginconf

@pytest.fixture
def config():
    return pluginconf.plugin_meta(fn=__file__)["config"]

def name(config):
    print(config)
    assert config[0]["value"] == "{var}"

